> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Charge a saved card

> Creates a payment request for a registered customer and charges a saved Tilled card payment method



## OpenAPI

````yaml /swagger.json post /Payment/ChargeSavedCard
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Payment/ChargeSavedCard:
    post:
      tags:
        - Payment
      summary: Charge a saved card
      description: >-
        Creates a payment request for a registered customer and charges a saved
        Tilled card payment method
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChargeSavedCardPaymentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ChargeSavedCardPaymentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ChargeSavedCardPaymentRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ChargeSavedCardPaymentResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ChargeSavedCardPaymentResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ChargeSavedCardPaymentResponse'
components:
  schemas:
    ChargeSavedCardPaymentRequest:
      type: object
      properties:
        amount:
          type: integer
          format: int32
        registrationId:
          type: string
          format: uuid
        paymentMethodId:
          type: string
        companyId:
          type: string
          format: uuid
          nullable: true
        companyReferenceId:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        feePayer:
          type: string
          nullable: true
        attachment:
          type: string
          nullable: true
        dueDate:
          type: string
          format: date
          nullable: true
      additionalProperties: false
    ChargeSavedCardPaymentResponse:
      type: object
      properties:
        paymentRequestId:
          type: string
          format: uuid
        registrationId:
          type: string
          format: uuid
        status:
          type: string
        chargedAmount:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````